Page MenuHomePhabricator

U4. Special page to enable Flow on existing wikitext talk pages, auto-archiving the wikitext page (v2)
Closed, ResolvedPublic1 Story Points

Description

This ticket is for adding move-to-archive functionality for Special:EnableFlow.

The current v1 EnableFlow lets us create a Flow board on a page that doesn't exist (or has been deleted).

For v2, we want to be able to put a Flow board on an existing wikitext page -- moving the wikitext page to an archive, and creating a Flow board in its place.

The v2 tool should have a field where we can specify the archive location.

Later revs will include disabling (and un-archiving) (T96301: Solution for disabling Flow on a page), and being able to enable Flow on multiple pages or on a namespace (not yet filed).

Some related concepts broken out to T96302: Enable Flow on a single wikitext talk page that already exists, choosing archive name and handling archiving automatically, T96301: Solution for disabling Flow on a page, and T96304: Validate which Flow moves are allowed?

Formerly part of https://trello.com/c/0VP635yr/

Details

Reference
bz70073

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:29 AM
bzimport set Reference to bz70073.
bzimport added a subscriber: Unknown Object (MLST).
Spage triaged this task as Normal priority.EditedDec 16 2014, 10:21 AM

@EBernhardson Some of the bugs that this indicates it blocks are probably resolved by gerrit 175574 (towards T76778) and should be moved to that and marked resolved.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM
Mattflaschen-WMF set Security to None.

Imported the description from the linked Trello card.

Mattflaschen-WMF updated the task description. (Show Details)
DannyH edited a custom field.Mar 30 2015, 6:45 PM
Kghbln awarded a token.Apr 1 2015, 8:43 AM
DannyH renamed this task from Flow: Special page to enable Flow on pages to Flow: Special page to enable Flow on existing wikitext talk pages, auto-archiving the wikitext page.Apr 2 2015, 9:21 PM
DannyH added a project: Roadmap.
Restricted Application added a project: Notice. · View Herald TranscriptApr 2 2015, 9:21 PM
DannyH moved this task from Unscheduled to April 27-May 1 on the Roadmap board.Apr 2 2015, 9:21 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Apr 3 2015, 8:41 PM
DannyH renamed this task from Flow: Special page to enable Flow on existing wikitext talk pages, auto-archiving the wikitext page to U4. Special page to enable Flow on existing wikitext talk pages, auto-archiving the wikitext page.Apr 8 2015, 10:25 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:44 PM
DannyH updated the task description. (Show Details)Apr 16 2015, 8:55 PM
Mattflaschen-WMF renamed this task from U4. Special page to enable Flow on existing wikitext talk pages, auto-archiving the wikitext page to U4. Special page to enable Flow on existing wikitext talk pages, auto-archiving the wikitext page (v2).Apr 16 2015, 8:58 PM

Change 205284 had a related patch set uploaded (by Sbisson):
Special:EnableFlow archives pre-existing talk page

https://gerrit.wikimedia.org/r/205284

Change 205284 merged by jenkins-bot:
Special:EnableFlow archives pre-existing talk page

https://gerrit.wikimedia.org/r/205284

DannyH closed this task as Resolved.Apr 27 2015, 11:13 PM

Works on Beta, thank you!